Subject: Re: Nextcloud Client (v14)

From: Leo Prikler <[email-masked]>
Date: Tue, 23 Feb 2021 18:58:48 +0100

Hi Raghav,

Am Dienstag, den 23.02.2021, 09:27 -0500 schrieb Raghav Gururajan:
> +             (let* ((qtsolutions (assoc-ref inputs "qtsolutions")))
> +               (for-each
> +                (lambda (dir)
> +                  (copy-recursively
> +                   (string-append qtsolutions "/" dir "/src")
> +                   (string-append "src/3rdparty/" dir)))
> +                '("qtlockedfile" "qtsingleapplication")))
> +             (with-directory-excursion "src/gui"
> +               (substitute* `("application.h" "application.cpp")
> +                 (("SharedTools::QtSingleApplication")
> "QtSingleApplication")
> +                 (("slotParseMessage\\(const QString &(msg)?.*\\)")
> +                  "slotParseMessage(const QString &msg)")))
Being the one who helped review this, I of course know, what it does,
but others might not, so this probably deserves a (short) comment.

> +       ("qtsolutions"
> +        ,(origin
> +           (method git-fetch)
> +           (uri
> +            (git-reference
> +             (url "https://github.com/qtproject/qt-solutions")
> +             (commit "9568abd142d581b67b86a5f63d823a34b0612702")))
> +           (file-name
> +            (git-file-name "qtsolutions" "9568abd"))
> +           (sha256
> +            (base32
> "17fnmassflm3vxi0krpr6fff368jy38cby31a48rban4nqqmgx7n"))))
I'm still not convinced, that this can't be made a package or perhaps
multiple packages, one per "solution".  Each of the folder seems to
contain a project file, which to be fair do have some non-Unix-related
install declarations, but it should at least install a statically
linked package *somewhere*.  We can go from there.

Alternatively, as I see this as a source, that will get copied around
in the same way I copied libgd from gedit, you can at least extract the
origin into a function in qt.scm, potentially named qt-solutions.

Regards,
Leo